Skip to main content
GET
Get supported payment routes

Authorizations

Authorization
string
header
required

Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are requred to make a successful request.

Query Parameters

sourceCurrency
enum<string>
required

Filter by the source currency, should be the crypto token Supported cryptocurrencies

Available options:
EURC,
USDC
Example:

"USDC"

destinationCountry
string
required

Filter by destination country ISO 3166-1 alpha-2 two-letter country code. The set of countries the Circle Payment Network serves changes as corridors launch; call GET /v1/cpn/configurations/enabledRoutes for the live list.

Example:

"MX"

transactionVersion
enum<string>

The version of the transaction. If not provided, defaults to VERSION_1.

Available options:
VERSION_1,
VERSION_2
Example:

"VERSION_2"

destinationCurrency
string

Filter by destination currency, will return all available destination currencies if empty Currently supported fiat currency (ISO 4217 code). This set changes as corridors launch; call GET /v1/cpn/configurations/enabledRoutes for the live list.

Example:

"MXN"

paymentMethodType
enum<string>

Filter by payment method, will return all available payment method types if empty The method used for the payment (e.g., PIX, WIRE, CHATS)

Available options:
AANI,
ACH-BANK-TRANSFER,
BANK-TRANSFER,
CHATS,
CIPS,
FAST,
FEDWIRE,
FPS,
FTS,
IMPS,
INSTAPAY,
NEFT,
NEQUI,
PESONET,
PIX,
RTGS,
SD-ACH,
SEPA,
SPEI,
SPID,
WIRE
Example:

"SPEI"

blockchain
enum<string>

Filter by blockchain, will return all available blockchains if empty Supported blockchain networks

Available options:
SOL,
MATIC,
ETH,
ARC,
SOL-DEVNET,
MATIC-AMOY,
ETH-SEPOLIA,
ARC-TESTNET
Example:

"ETH-SEPOLIA"

useCase
enum<string>

Filter by use case, will return all available useCases if empty The type of payment use case

Available options:
B2B,
B2C,
C2C,
C2B
Example:

"B2B"

Response

payment routes retrieved successfully.

data
object[]
required

Array of payment routes containing all the necessary information for routing payments